WorldWideScripts.net Delivering the best Add-Ons in more than 37 languages.

中文(简体), English, हिन्दी/हिंदी, Español/Castellano, العربية, Русский язык, Français, 中文 (台灣), বাংলা, Bahasa Indonesia, اردو, Português, Deutsch, Bahasa Melayu (بهاس ملايو‎), 日本語 (にほんご), فارسی, Italiano, తెలుగు, Türkçe, ગુજરાતી, Język polski/polszczyzna, Tiếng Việt, ಕನ್ನಡ, Українська мова, ไทย
PHP Scripts / Miscellaneous

PHP Version Finder

— Add- On per WorldWideScripts.net

Iscriviti al nostro feed per rimanere sempre aggiornato!

Nuovo! Seguici come lo vuoi!


PHP Version Finder - CodeCanyon Item for Sale

Ads

Ad: Bluehost hosting

Seguimi su Twitter Seguimi su G + Follow Me on CodeCanyon live Demo

Demo - Non Database (paralizzato)
Demo - Database (corrotto)
Le dimostrazioni sono paralizzato! Abbiamo criptato la vera versione di ciascuna funzione e l'estensione.

PHP versione Finder - Aggiornato a v 1.0.3c 12/9/2010

Trova quale versione di PHP lo script richiede. Quando è stato chiesto quale versione di PHP è necessario per eseguire il nostro script non abbiamo avuto una risposta definitiva. Abbiamo creato questo script per determinare la versione di PHP, e poi lo abbiamo portato ad un altro livello attraverso la ricerca di funzioni deprecate. Ma non ci siamo fermati solo a quello. Abbiamo incluso estensioni PHP e costrutti del linguaggio. Abbiamo quasi chiamavamo bravo in questo, ma poi ci siamo chiesti... quante volte abbiamo usato queste funzioni. L'uso eccessivo della stessa funzione può essere degradante sulle prestazioni. Monitoraggio quante volte una funzione viene utilizzata può aiutare a determinare se un "Creato utente Funzione" può essere creato per ridurre il codice e aumentare le prestazioni.

rivelazione

Versione PHP Finder tracce: 3044 funzioni PHP, PHP 2260 estensioni, 23 costrutti di linguaggio, 19 proposte alternative, 7 Consigli / trucchi / Notes. (Più 69 Sperimentale, 20 Obsoleto, 47 funzioni "SVN")
Il codice non deve essere completa e non funzionante. Non ha nemmeno bisogno di dare un senso. Finché è compresa tra <? Php e?> Sarà valutata. Crippled Demo - La demo è stato paralizzato per impedire alle persone di usarlo, piuttosto che acquistarlo.

Smettere di fare supposizioni!

A dire il vero - la maggior parte degli sviluppatori "ball-park" quale versione di PHP è richiesta da richiamando alcune funzioni "chiave" che hanno usato. Con PHP versione Finder è possibile sapere con certezza che cosa è effettivamente necessaria la versione di PHP!
Non immagino! - Eseguire PHP versione Finder sul vostro script per sapere con certezza che cosa verions di PHP è necessario per far funzionare il copione!

rilevamento deprecato

Versione PHP Finder permette di sapere se le funzioni utilizzate sono obsolete.
Obsoleto Detection - Verificare i propri script per le funzioni deprecate

due versioni

La versione Finder PHP non necessita di un database. Tuttavia, per quelli di voi che preferiscono utilizzare un database, lo script include una versione del database.
Optionhal Database - versione di PHP Finder non richiede un database, tuttavia, una versione alternativa è fornita per coloro che vogliono utilizzare un database.
Perchè due versioni?
Tutto si riduce a numeri. Se ci sono un sacco di funzioni PHP, la versione non del database è più veloce. Se ci sono solo alcune funzioni, la versione del database è più veloce. Quanto più veloce? Beh, è ​​misurata in micro secondi. Quindi non davvero notevole. Dopo abbiamo fatto la versione del database abbiamo deciso che non valeva la pena come la sua prestazione non era evidente diversa. Abbiamo deciso di includerla perché è stato già costruito - un omaggio, se volete.

Installazione

L'installazione è semplice. Carica la directory, modificare due impostazioni e il gioco è fatto.
Installion - Carica 1 directory sul server, modificare il file di configurazione e il vostro pronto ad andare!

ingressi

È possibile caricare un file dal computer, eseguire la scansione di un file o una intera directory sul server, o incollare il codice in una scatola per l'elaborazione.
Ingressi multipli - È possibile caricare un file, eseguire la scansione di una directory o controllare un blocco di codice.

proposte alternative

Se il PHP versione Finder trova funzioni che sono obsoleti, che vi darà proposte alternative che potrebbero sostituire la funzione deprecato.
Proposte alternative - E possibile rendere il vostro script Per esempio:
se si utilizza file_put_contents (che richiede PHP 5), Versione PHP Finder ti consente di sapere che si potrebbe usare fwrite invece, che potrebbe abbassare la versione richiesta verso il basso per PHP 4. Non solo, ma vi è una nota allegata al file_put_contents che mostra il codice da utilizzare per rendere file_put_contents compatibile.

Acquisto PHP versione Finder ADESSO!

Rendere la vita facile! Trova funzioni deprecate, ottenere suggerimenti all'indietro compatibili e sapere quale versione di PHP è necessario per eseguire i propri script
Acquista ora - Rendere la vita facile, trovare funzioni deprecate, ottenere suggerimenti retrocompatibili e sapere quale versione di PHP è necessario per eseguire i propri script.

Caratteristiche correnti (v 1.0.0) - 12/1/2010

  • Database opzionale
  • rilevamento deprecato
  • File Upload Processing
  • Trasformazione
  • Incollato codice di elaborazione
  • Completamento automatico
  • Syntax Highlighter
  • 3044 funzioni PHP
  • 2260 estensioni PHP
  • 23 costrutti del linguaggio
  • 19 proposte alternative
  • 7 punte / trucchi / Note
  • Oltre 69 funzioni sperimentali
  • In più di 20 funzioni deprecate
  • Oltre a 47 "svn" / funzioni incognite

Aggiornamento v 1.0.1 12/3/2010

  • Avvisi per la fissi
  • Fixed errori "variabili indefinite"
  • Gli errori di ortografia fissi
  • Aggiornamento file di Guida per riflettere i cambiamenti
  • Spiegazione licenze Aggiunto
  • Ripulito il "Rapporto file"

Aggiornamento v 1.0.2 12/4/2010

  • Avvisi per la fissi
  • Fixed errori "variabili indefinite"
  • Aggiornamento file di Guida per riflettere i cambiamenti

Aggiornamento v 1.0.3c 12/9/2010

  • codice Ripulito
  • Riscritto come statistiche sono conteggiati.
  • Riscritto il "Rapporto file"

Scarica
Altri componenti di questa categoriaTutti i componenti di questo autore
CommentiDomande frequenti e risposte

Proprietà

Creato:
December 3 10 alle

Ultimo aggiornamento:
10 Dicembre 10

Alta risoluzione:
No

Browser compatibili:
IE7, IE8, Safari, Opera

File inclusi:
JavaScript JS, HTML, CSS, PHP, SQL

Versione software:
PHP 4.x, 5.x PHP, PHP 5,0-5,2, PHP 5.3, MySQL 5.x

Parole chiave

eCommerce, eCommerce, Tutti gli articoli, warning deprecato, versione di PHP, evidenziazione della sintassi